<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <form action="">
        <div>
            <input type="radio" name="selection" id="r1" value="1" onclick="OnEnable('t1')">
            <label for="">1st</label>
            <input type="text" disabled id="t1">
        </div>
        <div>
            <input type="radio" name="selection" id="r2" value="2" onclick="OnEnable('t2')">
            <label for="">2nd</label>
            <input type="text" disabled id="t2">
        </div>
        <div>
            <input type="radio" name="selection" id="r3" value="3" onclick="OnEnable('t3')">
            <label for="">3rd</label>
            <input type="text" disabled id="t3">
        </div>
    </form>
</body>
<script>
    function OnEnable(inn) {
        document.getElementById("t1").setAttribute("disabled", "disabled");
        document.getElementById("t2").setAttribute("disabled", "disabled");
        document.getElementById("t3").setAttribute("disabled", "disabled");
        document.getElementById(inn).removeAttribute("disabled");
    }
</script>

</html>